Subject: bug#61702: Minibuffer scrolling not working when long lines get truncated

From: Johann Höchtl <[email-masked]>
Date: Wed, 22 Feb 2023 07:59:04 +0100

I experience the following annoying behavior: If the text in the minibuffer
get's longer than the display width and lines are therefore continued on
the next line, the minibuffer scrolling no longer works.

What I mean by that is that it "logically" works as when I press <down> or
<up> the indicator correctly displays the number of the item I am supposed
to choose when pressing <RET> yet I can't visually see what I would select.

First I thought it was a marginalia issue but that's not the case. With
marginalia it only shows much more easily as marginalia adds text to
minibuffer entries thus making lines longer. So this is a thing I can
easily reproduce when making the whole Emacs window narrow enough to
trigger continuation lines in the minibuffer.

Seems to be an issue with the highlight line logic and scrolling?

Emacs version 30.0.50